enum.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/for_each_i.hpp>`
`#include <msgpack/preprocessor/punctuation/comma_if.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_ENUM(list) MSGPACK_PP_LIST_ENUM_I(list)
#define | MSGPACK_PP_LIST_ENUM_I(list) MSGPACK_PP_LIST_FOR_EACH_I(MSGPACK_PP_LIST_ENUM_O, MSGPACK_PP_NIL, list)
#define | MSGPACK_PP_LIST_ENUM_O(r, _, i, elem) MSGPACK_PP_COMMA_IF(i) elem
#define | MSGPACK_PP_LIST_ENUM_R(r, list) MSGPACK_PP_LIST_ENUM_R_I(r, list)
#define | MSGPACK_PP_LIST_ENUM_R_I(r, list) MSGPACK_PP_LIST_FOR_EACH_I_R(r, MSGPACK_PP_LIST_ENUM_O, MSGPACK_PP_NIL, list)

## Macro Definition Documentation

## MSGPACK_PP_LIST_ENUM

#define MSGPACK_PP_LIST_ENUM | ( |  | list | ) | MSGPACK_PP_LIST_ENUM_I(list)

## MSGPACK_PP_LIST_ENUM_I

#define MSGPACK_PP_LIST_ENUM_I | ( |  | list | ) | MSGPACK_PP_LIST_FOR_EACH_I(MSGPACK_PP_LIST_ENUM_O, MSGPACK_PP_NIL, list)

## MSGPACK_PP_LIST_ENUM_O

#define MSGPACK_PP_LIST_ENUM_O | ( |  | r,
|  |  | _,
|  |  | i,
|  |  | elem
| ) |  | MSGPACK_PP_COMMA_IF(i) elem

## MSGPACK_PP_LIST_ENUM_R

#define MSGPACK_PP_LIST_ENUM_R | ( |  | r,
|  |  | list
| ) |  | MSGPACK_PP_LIST_ENUM_R_I(r, list)

## MSGPACK_PP_LIST_ENUM_R_I

#define MSGPACK_PP_LIST_ENUM_R_I | ( |  | r,
|  |  | list
| ) |  | MSGPACK_PP_LIST_FOR_EACH_I_R(r, MSGPACK_PP_LIST_ENUM_O, MSGPACK_PP_NIL, list)